.TH VIRTUALENV 1
.SH NAME
.B virtualenv
\- Python virtual environment creator
.SH SYNOPSIS
.B virtualenv \fR[\fIoptions\fR...] \fIdest
.SH DESCRIPTION
The virtualenv utility creates virtual Python instances, each invokable
with its own Python executable.
Each instance can have different sets of modules, installable via
easy_install.
Virtual Python instances can also be created without root access.
.SS "optional arguments:"
.TP
\fB\-\-version\fR
display the version of the virtualenv package and it's location, then
exit
.TP
\fB\-\-with\-traceback\fR
on failure also display the stacktrace internals of virtualenv
(default: False)
.TP
\fB\-\-read\-only\-app\-data\fR
use app data folder in read-only mode
(write operations will fail with error)
(default: False)
.TP
\fB\-\-app\-data\fR \fIAPP_DATA\fR
a data folder used as cache by the virtualenv
(default: \fI~/.local/share/virtualenv\fR)
.TP
\fB\-\-reset\-app\-data\fR
start with empty app data folder
(default: False)
.TP
\fB\-\-upgrade\-embed\-wheels\fR
trigger a manual update of the embedded wheels
(default: False)
.TP
\fB\-h\fR, \fB\-\-help\fR
show help and exit
.SS "verbosity:"
.IP
\fIverbosity\fR = \fIverbose\fR \- \fIquiet\fR, default \fIINFO\fR,
mapping => \fICRITICAL\fR=\fB0\fR, \fIERROR\fR=\fB1\fR,
\fIWARNING\fR=\fB2\fR, \fIINFO\fR=\fB3\fR, \fIDEBUG\fR=\fB4\fR,
\fINOTSET\fR=\fB5\fR
.TP
\fB\-v\fR, \fB\-\-verbose\fR
increase verbosity
(default: 2)
.TP
\fB\-q\fR, \fB\-\-quiet\fR
decrease verbosity
(default: 0)
.SS "discovery:"
.IP
discover and provide a target interpreter
.TP
\fB\-\-discovery\fR {\fBbuiltin\fR}
interpreter discovery method
(default: \fBbuiltin\fR)
.TP
\fB\-p\fR \fIpy\fR, \fB\-\-python\fR \fIpy\fR
target interpreter for which to create a virtual
(either absolute path or identifier string)
(default: \fI\,/usr/bin/python3\/\fP)
.TP
\fB\-\-try\-first\-with\fR \fIpy_exe\fR
try first these interpreters before starting the discovery
(default: [])
.SS "creator:"
.IP
options for creator builtin
.TP
\fB\-\-creator\fR {\fBbuiltin\fR,\fBcpython3\-posix\fR,\fBvenv\fR}
create environment via
(\fBbuiltin\fR = \fBcpython3\-posix\fR)
(default: \fBbuiltin\fR)
.TP
.B dest
directory to create virtualenv at
.TP
\fB\-\-clear\fR
remove the destination directory if exist before starting
(will overwrite files otherwise)
(default: False)
.TP
\fB\-\-no\-vcs\-ignore\fR
don't create VCS ignore directive in the destination directory
(default: False)
.TP
\fB\-\-system\-site\-packages\fR
give the virtual environment access to the system site\-packages dir
(default: False)
.TP
\fB\-\-symlinks\fR
try to use symlinks rather than copies, when symlinks are not the
default for the platform
(default: True)
.TP
\fB\-\-copies\fR, \fB\-\-always\-copy\fR
try to use copies rather than symlinks, even when symlinks are the
default for the platform
(default: False)
.SS "seeder:"
.IP
options for seeder app\-data
.TP
\fB\-\-seeder\fR {\fBapp\-data\fR,\fBpip\fR}
seed packages install method
(default: \fBapp\-data\fR)
.TP
\fB\-\-no\-seed\fR, \fB\-\-without\-pip\fR
do not install seed packages
(default: False)
.TP
\fB\-\-download\fR
pass to enable download of the latest pip, setuptools, and wheel from PyPI
(default: False)
.TP
\fB\-\-no\-download\fR, \fB\-\-never\-download\fR
pass to disable download of the latest pip, setuptools, and wheel from PyPI
(default: True)
.TP
\fB\-\-extra\-search\-dir\fR \fId\fR [\fId\fR ...]
a path containing wheels the seeder may also use beside bundled
(can be set 1+ times)
(default: [])
.TP
\fB\-\-pip\fR \fIversion\fR
pip version to install, bundle for bundled
(default: latest)
.TP
\fB\-\-setuptools\fR \fIversion\fR
setuptools version to install, bundle for bundled
(default: latest)
.TP
\fB\-\-wheel\fR \fIversion\fR
wheel version to install, bundle for bundled
(default: latest)
.TP
\fB\-\-no\-pip\fR
do not install pip
(default: False)
.TP
\fB\-\-no\-setuptools\fR
do not install setuptools
(default: False)
.TP
\fB\-\-no\-wheel\fR
do not install wheel
(default: False)
.TP
\fB\-\-no\-periodic\-update\fR
disable the periodic (once every 14 days) update of the embedded wheels
(default: True)
.TP
\fB\-\-symlink\-app\-data\fR
symlink the python packages from the app-data folder (requires seed
pip>=19.3)
(default: False)
.SS "activators:"
.IP
options for activation scripts
.TP
\fB\-\-activators\fR \fIcomma_sep_list\fR
activators to generate \- default is all supported
(default: \fBbash,cshell,fish,powershell,python,xonsh\fR)
.TP
\fB\-\-prompt\fR prompt
provides an alternative prompt prefix for this environment
(default: None)
.PP
config file \fI$HOME/.config/virtualenv/virtualenv.ini\fR
(change via env var \fBVIRTUALENV_CONFIG_FILE\fR)
.SH AUTHORS
.PP
This man-page was created using help2man and then updated by Scott
Kitterman <scott@kitterman.com> and is licensed under the same terms as
virtualenv.
